Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] steam-launcher masked by ~amd64 keyword
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gamers & Players
View previous topic :: View next topic  
Author Message
statikregimen
Apprentice
Apprentice


Joined: 16 Jul 2011
Posts: 168
Location: USA/Michigan

PostPosted: Wed Jun 24, 2020 5:37 am    Post subject: [SOLVED] steam-launcher masked by ~amd64 keyword Reply with quote

Code:
# emerge --ask steam-meta
...
These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! All ebuilds that could satisfy "games-util/steam-launcher[steamruntime?]" have been masked.
!!! One of the following masked packages is required to complete your request:
- games-util/steam-launcher-1.0.0.62::steam-overlay (masked by: ~amd64 keyword)

(dependency required by "games-util/steam-meta-0-r20160817::steam-overlay" [ebuild])
(dependency required by "steam-meta" [argument])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


Needless to say, I followed the given advice, but it didn't lead to a conclusion.

I could just be stupid, but appreciate any help.


Last edited by statikregimen on Thu Jun 25, 2020 1:35 am; edited 2 times in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 24693
Location: here

PostPosted: Wed Jun 24, 2020 5:45 am    Post subject: Reply with quote

You added games-util/steam-launcher in /etc/portage/package.accept_keywords?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
statikregimen
Apprentice
Apprentice


Joined: 16 Jul 2011
Posts: 168
Location: USA/Michigan

PostPosted: Thu Jun 25, 2020 1:33 am    Post subject: Reply with quote

fedeliallalinea wrote:
You added games-util/steam-launcher in /etc/portage/package.accept_keywords?


Thank you...I may have failed to mention this was a re-install, so I assumed that stuff was already taken care of. It was, but the versions were wrong. I removed the = from the beginning of the lines, and the version numbers from the end, so e.g.:

Code:
# required by games-util/steam-meta-0-r20160817::steam-overlay[steamruntime]
# required by steam-meta (argument)
games-util/steam-games-meta ~amd64
# required by steam-meta (argument)
games-util/steam-meta ~amd64
# required by games-util/steam-meta-0-r20160817::steam-overlay
# required by steam-meta (argument)
games-util/steam-launcher ~amd64
# required by games-util/steam-meta-0-r20160817::steam-overlay
# required by steam-meta (argument)
games-util/steam-client-meta ~amd64
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gamers & Players All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum